#
# Be sure to run `pod lib lint BFStuckPoint.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see https://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'BFStuckPointKit'
  s.version          = '0.1.1'
  s.summary          = '卡点视频库'
  s.swift_version    = '5.0'
  s.description      = <<-DESC
TODO: Add long description of the pod here.
                       DESC

  s.homepage         = 'https://github.com/iOS/BFStuckPointKit'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'harry' => 'hz_hzq@126.com' }
  s.source           = { :git => 'https://git.yishihui.com/iOS/BFStuckPointKit.git', :tag => s.version.to_s }
  s.ios.deployment_target = '10.0'
  s.requires_arc = true
  s.static_framework = true
  s.pod_target_xcconfig = { 'OTHER_LDFLAGS' => '-all_load','ENABLE_BITCODE' => 'NO' }
  s.resource_bundles = {
    'BFStuckPointKit_Resources' => ['BFStuckPointKit/Assets/**/*.xcassets', 'BFStuckPointKit/Assets/Resources/*']
  }
  s.source_files = 'BFStuckPointKit/Classes/**/*'
  s.frameworks = 'UIKit', 'MapKit'
  s.dependency 'BFCommonKit'
  s.dependency 'BFNetRequestKit'
  s.dependency 'BFUIKit'
  s.dependency 'BFMaterialKit'
  s.dependency 'BFMediaKit'
  s.dependency 'BFAnalyzeKit'
  s.dependency 'BFUploadKit'
  s.dependency 'WechatOpenSDK-Swift'      ,'1.8.7.1'  # 微信组件
  s.dependency 'MJRefresh'                ,'~> 3.0'    # 刷新组件
  s.dependency 'LMJHorizontalScrollText'  ,'2.0.2'
  s.dependency 'TXLiteAVSDK_Player'       ,'9.3.10765' # 腾讯播放器组件
  s.dependency 'Bugly'                    ,'2.5.90'   #crash log 收集

end
